summaryrefslogtreecommitdiff
path: root/examples/cgi/cgi-bin/environ
diff options
context:
space:
mode:
Diffstat (limited to 'examples/cgi/cgi-bin/environ')
-rwxr-xr-xexamples/cgi/cgi-bin/environ8
1 files changed, 8 insertions, 0 deletions
diff --git a/examples/cgi/cgi-bin/environ b/examples/cgi/cgi-bin/environ
new file mode 100755
index 0000000..62ca15a
--- /dev/null
+++ b/examples/cgi/cgi-bin/environ
@@ -0,0 +1,8 @@
+#!/usr/bin/env sh
+
+set -euo pipefail
+
+printf "20 text/gemini\r\n"
+echo "\`\`\`env(1) output"
+env
+echo "\`\`\`"